Bug 1562773 - tenant source_id compromisation after changing provider credentials
Summary: tenant source_id compromisation after changing provider credentials
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.8.4
Assignee: Libor Pichler
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On: 1498045 1577547
Blocks: 1551709
TreeView+ depends on / blocked
 
Reported: 2018-04-02 13:21 UTC by Satoe Imaishi
Modified: 2018-06-25 14:19 UTC (History)
10 users (show)

Fixed In Version: 5.8.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1498045
Environment:
Last Closed: 2018-06-25 14:19:13 UTC
Category: ---
Cloudforms Team: Openstack


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:19:47 UTC

Comment 2 CFME Bot 2018-04-09 18:37:31 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/8622b6901855dec3baf58d79817b3507489f90d9
commit 8622b6901855dec3baf58d79817b3507489f90d9
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Mar 28 09:13:06 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Wed Mar 28 09:13:06 2018 -0400

    Merge pull request #17190 from lpichler/fix_establishing_relations_in_tenant_sync

    Fix establishing relations of tenants and cloud tenants between different cloud tenant -> tenant sync
    (cherry picked from commit d03161f3c0c77016ed29b92b23ef9c0487c93275)

    https://bugzilla.redhat.com/show_bug.cgi?id=1562773

 app/models/manageiq/providers/cloud_manager.rb | 10 +-
 spec/models/manageiq/providers/cloud_manager_spec.rb | 448 +
 2 files changed, 456 insertions(+), 2 deletions(-)

Comment 3 Ido Ovadia 2018-05-12 23:54:15 UTC
Failed QA
=========

Failed to reproduce on step 1 

Steps to Reproduce:
1. Set credentials to 'openstackadmin' (from a 'custom' domain) and sync tenants.

I have created domain, and project on in it. Then create a user with admin role
on the domain and the project. But, on CFME 
Credential validation was not successful: Socket error: end of file reached (EOFError)

See  --->   https://bugzilla.redhat.com/show_bug.cgi?id=1577547

Comment 6 Ido Ovadia 2018-05-24 15:38:52 UTC
Verified
========
5.8.4.3

Comment 8 errata-xmlrpc 2018-06-25 14:19:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.